# Conduit - Matrix server
# Port: 6167
# Lightweight Matrix homeserver

version: "3.9"
services:
  matrix-conduit:
    image: matrixconduit/matrix-conduit:latest
    container_name: Matrix-Conduit
    hostname: matrix-conduit
    security_opt:
      - no-new-privileges:true
    user: 1000:1000
    ports:
      - "8455:6167"
    volumes:
      - "/volume1/docker/matrix-conduit:/var/lib/matrix-conduit/"
    environment:
      - CONDUIT_SERVER_NAME=vishtestingserver
      - CONDUIT_DATABASE_PATH=/var/lib/matrix-conduit/
      - CONDUIT_DATABASE_BACKEND=rocksdb
      - CONDUIT_PORT=6167
      - CONDUIT_MAX_REQUEST_SIZE=20000000
      - CONDUIT_ALLOW_REGISTRATION=true
      - CONDUIT_ALLOW_FEDERATION=true
      - CONDUIT_TRUSTED_SERVERS=["matrix.org"]
      - CONDUIT_MAX_CONCURRENT_REQUESTS=250
      - CONDUIT_ADDRESS=0.0.0.0
      - CONDUIT_CONFIG=''
    restart: unless-stopped
